Subject: Re: [PATCH net] selftests: netdevsim: Fix ethtool-features.sh fail

From: Sabrina Dubroca <[email-masked]>
Date: Fri, 31 Oct 2025 00:13:59 +0100

2025-10-30, 11:22:03 +0800, Wang Liang wrote:
> This patch adds executable permission to script 'ethtool-features.sh', and
> check 'ethtool --json -k' support. 

Those are two separate things, probably should be two separate patches.

[...]
> @@ -7,6 +7,11 @@ NSIM_NETDEV=$(make_netdev)
>  
>  set -o pipefail
>  
> +if ! ethtool --json -k $NSIM_NETDEV > /dev/null 2>&1; then

I guess it's improving the situation, but I've got a system with an
ethtool that accepts the --json argument, but silently ignores it for
 -k (ie `ethtool --json -k $DEV` succeeds but doesn't produce a json
output), which will still cause the test to fail later.

-- 
Sabrina